Get submissions by form id
curl --request GET \
--url https://api.octaviatech.app/cms/forms/{id}/getAllSubmissions \
--header 'x-api-key: <api-key>'import requests
url = "https://api.octaviatech.app/cms/forms/{id}/getAllSubmissions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.octaviatech.app/cms/forms/{id}/getAllSubmissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.octaviatech.app/cms/forms/{id}/getAllSubmissions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.octaviatech.app/cms/forms/{id}/getAllSubmissions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.octaviatech.app/cms/forms/{id}/getAllSubmissions")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.octaviatech.app/cms/forms/{id}/getAllSubmissions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"statusCode": 123,
"message": "<string>",
"data": {
"pagination": {
"total": 123,
"page": 123,
"limit": 123,
"totalPages": 123
},
"formSubmission": [
{
"_id": "<string>",
"formId": "<string>",
"language": "<string>",
"values": {},
"status": 0,
"tenantId": "<string>",
"relations": [
{
"fieldName": "<string>",
"relationType": "<string>",
"relatedFormId": "<string>",
"relatedSubmissionIds": [
"<string>"
]
}
],
"submittedAt": "2023-11-07T05:31:56Z",
"isDeleted": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}
}Submissions
List Form Submissions
List Form Submissions.
GET
/
forms
/
{id}
/
getAllSubmissions
Get submissions by form id
curl --request GET \
--url https://api.octaviatech.app/cms/forms/{id}/getAllSubmissions \
--header 'x-api-key: <api-key>'import requests
url = "https://api.octaviatech.app/cms/forms/{id}/getAllSubmissions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.octaviatech.app/cms/forms/{id}/getAllSubmissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.octaviatech.app/cms/forms/{id}/getAllSubmissions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.octaviatech.app/cms/forms/{id}/getAllSubmissions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.octaviatech.app/cms/forms/{id}/getAllSubmissions")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.octaviatech.app/cms/forms/{id}/getAllSubmissions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"statusCode": 123,
"message": "<string>",
"data": {
"pagination": {
"total": 123,
"page": 123,
"limit": 123,
"totalPages": 123
},
"formSubmission": [
{
"_id": "<string>",
"formId": "<string>",
"language": "<string>",
"values": {},
"status": 0,
"tenantId": "<string>",
"relations": [
{
"fieldName": "<string>",
"relationType": "<string>",
"relatedFormId": "<string>",
"relatedSubmissionIds": [
"<string>"
]
}
],
"submittedAt": "2023-11-07T05:31:56Z",
"isDeleted": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}
}Authorizations
Path Parameters
24-char hex identifier of the form.
Pattern:
^[a-fA-F0-9]{24}$Example:
"{{objectId}}"
Query Parameters
Page index (1-based).
Required range:
x >= 1Example:
1
Items per page.
Required range:
1 <= x <= 100Example:
10
Comma-separated list of statuses to include. Allowed values: pending, approved, rejected. A value matching none of these is rejected with 400.
Example:
"pending,approved"
Filter by the submission's stored language. Pass a single code — the returned page is matched with an exact comparison, so a comma-separated list yields an empty page (it is only expanded when counting the total).
Example:
"en"
Was this page helpful?

